
.alert-primary {
  color: c(f, 8);
  background-color: c(f, 2);
  border-color: c(f, 3);
  i::before { color: c(f, 7); }

  & .alert-link {
    color: c(f, 9);
    i::before { color: c(f, 8); }
  }
}

.alert-secondary {
  color: c(g, 8);
  background-color: c(g, 2);
  border-color: c(g, 3);
  i::before { color: c(g, 7); }

  & .alert-link {
    color: c(g, 9);
    i::before { color: c(g, 8); }
  }
}

.alert-success {
  color: c(v, 8);
  background-color: c(v, 2);
  border-color: c(v, 3);
  i::before { color: c(v, 7); }

  & .alert-link {
    color: c(v, 9);
    i::before { color: c(v, 8); }
  }
}

.alert-info {
  color: c(b, 8);
  background-color: c(b, 2);
  border-color: c(b, 3);
  i::before { color: c(b, 7); }

  & .alert-link {
    color: c(b, 9);
    i::before { color: c(b, 8); }
  }
}

.alert-warning {
  color: c(o, 8);
  background-color: c(o, 2);
  border-color: c(o, 3);
  i::before { color: c(o, 7); }

  & .alert-link {
    color: c(o, 9);
    i::before { color: c(o, 8); }
  }
}
.alert-danger {
  color: c(r, 8);
  background-color: c(r, 2);
  border-color: c(r, 3);
  i::before { color: c(r, 7); }

  & .alert-link {
    color: c(r, 9);
    i::before { color: c(r, 8); }
  }
}
